const app = getApp()
import $http from './../../API/http'
import create from 'dd-store'
import exampleStore from '/stores/exampleStore'
create.Page({
  store: exampleStore,
  useAll: true,
  data: {
    startTime: '00年00月00日',
    startTimeHour: '00:00',
    endTime: '00年00月00日',
    endTimeHour: '00:00',
    startTimes: '',
    endTimes: '',
    Purpose: '',
    Purposes: [],
    currentPurpose: '',
    isInput: true,
    arriveAddress: [],
    defaultAddress: '',
    Companions: [],
    copyPerson: [],
    index: '',
    copyPerson: []
  },
  onLoad(query) {
    dd.setNavigationBar({
      title: '预约访客',
    });
    this.Purpose()
    this.arriveAddress()
  },
  changeMainVisitor(event) {
    console.log(event.detail.value)
  },
  // 点击通讯录选择访客 控制遮照层是否层出
  selectVisitors(event) {
    this.setData({ index: event.target.dataset.index })
    this.store.data.selectVisitors = true
    this.update()
  },
  // 取消遮照层
  selectCancel() {
    this.store.data.selectVisitors = false
    this.update()
  },
  // 点击外部联系人
  externalContactSelect(event) {
    dd.navigateTo({ url: `./../externalContact/externalContact?index=${this.data.index}` });
  },
  // 点击手机通讯录
  phoneAddressBookSelect() {
    dd.navigateTo({ url: `./../phoneAddressBook/phoneAddressBook?index=${this.data.index}` });
  },
  // 添加同行人员
  addCompanions() {
    if (this.store.data.visitorPeer.length < 4) {
      this.store.data.visitorPeer.push({ name: '', index: '' })
      console.log(this.store.data.visitorPeer)
      this.update()

    } else {
      dd.alert({
        content: '最多可添加四名同行人员',
        buttonText: '确定'
      })

    }

  },
  // 关闭同行访客
  closeVisitor(event) {
    this.store.data.visitorPeer.splice(event.target.dataset.index, 1)
    this.update()
  },
  // 周知人
  copyPerson() {
    const _that = this
    dd.complexChoose({
      title: "选择周知人",            //标题
      multiple: true,            //是否多选
      limitTips: "最多可选取6人",          //超过限定人数返回提示
      maxUsers: 6,            //最大可选人数
      responseUserOnly: true,        //返回人，或者返回人和部门
      success: function(res) {
        let copyPerson = []
        res.users.forEach((item, index) => {
          copyPerson.push(item)
        })
        _that.setData({
          copyPerson: copyPerson
        })
      },
      fail: function(err) {
      }
    })

  },
  // 提交预约单
  confirmAppointment() {
    debugger
    let data = {
      startTime: this.data.startTimes,
      endTime: this.data.endTimes,
      purpose:this.data.currentPurpose,
      visitAddress: this.data.defaultAddress,
    }
    $http.$http('/admin/visitor/addRecord', data, 'post').then(res => {
      console.log(res,66666666666)
    })
  },
  selectStartTime() {
    dd.datePicker({
      format: 'yyyy-MM-dd HH:mm',
      success: (res => {
        let time = this.timeToStr(res.date)
        this.setData({
          startTime: `${time.year}年${time.month}月${time.date}日`,
          startTimeHour: `${time.hour}:${time.minute}`,
          startTimes: res.date
        })
      })
    })
  },
  selectEndTime() {
    dd.datePicker({
      format: 'yyyy-MM-dd HH:mm',
      success: (res => {
        let time = this.timeToStr(res.date)
        this.setData({
          endTime: `${time.year}年${time.month}月${time.date}日`,
          endTimeHour: `${time.hour}:${time.minute}`,
          endTimes: res.date
        })
      })
    })

  },
  selectPurpose(event) {
    this.setData({
      currentPurpose: this.data.Purpose[event.detail.value].visitPurpose
    })
    this.isInput()
  },
  selectAddress(event) {
    this.setData({
      defaultAddress: this.data.arriveAddress[event.detail.value].address
    })

  },
  arriveAddress() {
    $http.$http('/admin/address/list', {}, 'get').then(res => {
      console.log(res, 'arriveAddress')
      let arriveAddress = []
      res.forEach((item, index) => {
        arriveAddress.push(item.address)
        if (item.isDefault == '0') {
          this.setData({ defaultAddress: item.address })
        }
      })
      if (this.data.defaultAddress == '') {
        this.setData({ defaultAddress: arriveAddress[0] })
      }
      this.setData({ arriveAddress: arriveAddress })
    })
  },

  Purpose() {
    $http.$http('/admin/visit-purpose/list', {}, 'post').then(res => {
      console.log(res, 'Purpose')
      let Purposes = []
      res.forEach((item, index) => {
        Purposes.push(item.visitPurpose)
      })
      this.setData({
        Purpose: res,
        Purposes: Purposes,
        currentPurpose: res[0].visitPurpose,
      })
    })
  },
  timeToStr(time) {
    time = time.replace(/\-/g, "/")
    let timeData = new Date(time)
    console.log('timeData', timeData)
    let year = timeData.getFullYear()
    let month = timeData.getMonth() + 1
    let date = timeData.getDate()
    let hour = timeData.getHours()
    let minute = timeData.getMinutes()
    return {
      year: year,
      month: month.toString().length > 1 ? month : '0' + month,
      date: date.toString().length > 1 ? date : '0' + date,
      hour: hour.toString().length > 1 ? hour : '0' + hour,
      minute: minute.toString().length > 1 ? minute : '0' + minute
    }
  },
  isInput() {
    if (this.data.currentPurpose != '其他') {
      this.setData({
        isInput: false
      })
    }
    else {
      this.setData({
        isInput: true
      })

    }

  },
  test() {

  },
  onReady() {

  },
  onShow() {
    // 页面显示
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onReachBottom() {
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});
