const app = getApp()
import $http from './../../API/http'
Page({
  data: {
    name: '',
    company: '',
    startTime: '',
    endTime: '',
    byVisitorName: '',
    purpose: '',
    participator: '',
    endHour: '',
    startHour: '',
    phone: '',
    processStatus: '',
    overdue: ''
  },
  onLoad() {
    const that = this
    let query = dd.getStorageSync({ key: 'item' }).data
    dd.setNavigationBar({
      title: "访客详情",
    });
  },
  onReady() {
    let query = dd.getStorageSync({ key: 'item' }).data
    this.setData({
      name: query.name,
      company: query.companyName,
      startTime: `${query.startTime.year}年${query.startTime.month}月${query.startTime.date}日`,
      endTime: `${query.endTime.year}年${query.endTime.month}月${query.endTime.date}日`,
      startHour: `${query.startTime.date}:${query.startTime.minute}`,
      endHour: `${query.endTime.date}:${query.endTime.minute}`,
      byVisitorName: '',
      purpose: '',
      participator: '',
      phone: query.mobile,
      processStatus: query.processStatus,
      overdue: query.overdue,
      recordId:query.recordId
    })
  },
  cancel() {
    dd.confirm({
      title: '确认取消访问',
      content: '是否确认取消该预约，取消后访客将不能使用该访问码',
      confirmButtonText: '确认',
      cancelButtonText: '取消',
      success: (result) => {
        this.setData({ processStatus: 'cancel' })
        let data = {
          recordId: this.data.recordId
        }
        $http.$http('/admin/visitor/cancelVisit', data, 'post').then(res => {
          console.log(res)
        })
      },
    });

  },
  reception() {
    dd.confirm({
      title: '确认已接待',
      confirmButtonText: '确认',
      cancelButtonText: '取消',
      success: (result) => {
        this.setData({ processStatus: 'arrive' })
        let data = {
          recordId: this.data.recordId
        }
        $http.$http('/admin/visitor/confirmVisit', data, 'post').then(res => {
          console.log(res)
        })
      },
    });


  },
  call() {
    dd.showCallMenu({
      phoneNumber: this.data.phone, // 期望拨打的电话号码
      code: '+86', // 国家代号，中国是+86
      showDingCall: true, // 是否显示钉钉电话
      success: function(res) {
      },
      fail: function(err) {
      }
    });

  },
  onShow() {
    // 页面显示
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onReachBottom() {
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});
